> ## Documentation Index
> Fetch the complete documentation index at: https://developers.aimtell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Segment Counts Over Time

> Fetches a specific Segment



## OpenAPI

````yaml /api-reference/segments-openapi.json get /prod/segment/{id}/results
openapi: 3.1.0
info:
  title: segmentation
  version: '1.1'
servers:
  - url: https://api.aimtell.com
security:
  - sec0: []
tags:
  - name: Segments
    description: Audience segmentation
  - name: Subscribers
    description: Subscriber management and tracking
paths:
  /prod/segment/{id}/results:
    get:
      tags:
        - Segments
      summary: Get Segment Counts Over Time
      description: Fetches a specific Segment
      operationId: api-get-segment-counts-over-time
      parameters:
        - name: id
          in: path
          description: Segment ID
          required: true
          schema:
            type: string
        - name: startDate
          in: query
          description: Date as yyyy-mm-dd (i.e. 2019-12-07)
          required: true
          schema:
            type: string
            format: date
            default: ''
        - name: endDate
          in: query
          description: Date as yyyy-mm-dd (i.e. 2019-12-14)
          required: true
          schema:
            type: string
            format: date
            default: ''
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    12/07/2019: 29
                    12/08/2019: 29
                    12/09/2019: 28
                    12/10/2019: 28
                    12/11/2019: 32
                    12/12/2019: 27
                    12/13/2019: 30
                    12/14/2019: 30
        '401':
          description: '401'
          content:
            application/json:
              examples:
                Result:
                  value:
                    result: error
                    message: Invalid token.
                    error_code: 71831
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      name: X-Authorization-Api-Key
      in: header
      x-default: ''

````